# DelaunayTriangulator.cpp File Reference

`#include <osgUtil/DelaunayTriangulator>`
`#include <osg/GL>`
`#include <osg/Vec3>`
`#include <osg/Array>`
`#include <osg/Notify>`
`#include <algorithm>`
`#include <list>`
`#include <set>`

Include dependency graph for DelaunayTriangulator.cpp:

## Namespaces

namespace | osgUtil

## Typedefs

typedef GLuint | Vertex_index
typedef std::set< Edge, Edge::Less > | Edge_set
typedef std::list< Triangle > | Triangle_list

## Functions

osg::Vec3 | compute_circumcircle (const osg::Vec3 &a, const osg::Vec3 &b, const osg::Vec3 &c)
bool | point_in_circle (const osg::Vec3 &point, const osg::Vec3 &circle)
bool | Sample_point_compare (const osg::Vec3 &p1, const osg::Vec3 &p2)

## Typedef Documentation

typedef std::set<Edge, Edge::Less> osgUtil::Edge_set

typedef std::list<Triangle> osgUtil::Triangle_list

typedef GLuint osgUtil::Vertex_index

## Function Documentation

osg::Vec3 compute_circumcircle | ( | const osg::Vec3 & | a,
|  | const osg::Vec3 & | b,
|  | const osg::Vec3 & | c
| ) | `[inline]`

bool point_in_circle | ( | const osg::Vec3 & | point,
|  | const osg::Vec3 & | circle
| ) | `[inline]`

bool Sample_point_compare | ( | const osg::Vec3 & | p1,
|  | const osg::Vec3 & | p2
| ) |